#include "colors.inc"

camera
{
   location  <0, 5,-10>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   direction <0, -0.1,  1>
}

light_source {<10, 20, 0> color White}
light_source {<10, -20, 0> color White}

intersection
{
  // Sphere object
  sphere
  {
    <0, 0, 0>, 3
    pigment { Orange }
    finish
    {
      ambient 0.5
      diffuse 0.7
      phong 1
      phong_size 80
      brilliance 2
    }
  }
  // Plane object
  plane
  {
    <0, 1, 0>, 0.2
    pigment { Orange }
    finish
    {
      ambient 0.5
      diffuse 0.7
      phong 1
      phong_size 80
      brilliance 2
    }
  }
}

