/* Test de commentaires *
  sur plusieurs lignes */
// et un autre mais sur une seule ligne

#version 3.0
#version abs(1.0-5.0*(strlen("blabla")-vdot(<1,2,5>,<3,1,0>)))
global_settings
{
  
  assumed_gamma 2.2 
  #version 15
  ambient_light color red 1.0 green 1.5 
  #version 23
  max_intersections 5
}

#include "colors.inc"
//#include "textures.inc"

camera {
   location  <0, 3,-10>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 2, 0>
}

light_source {<10, 20, -30> color White}

sky_sphere { pigment { Blue } }

// Floor
plane
{
  z, 0
  pigment
  {
    NeonBlue
  }
  finish
  {
    ambient 0.15
    diffuse 0.8
  }
}

union
{
  // Sphere object
  sphere
  {
    <1, 3, 0>, 3
    pigment
    {
      Orange
    }
    finish
    {
      ambient 0.2
      diffuse 0.7
      phong 1
      phong_size 80
      brilliance 2
    }
  }

  // Sphere object
  sphere
  {
    <-1, 3, 0>, 3
    pigment
    {
      Orange
    }
    finish
    {
      ambient 0.2
      diffuse 0.7
      phong 1
      phong_size 80
      brilliance 2
    }
  }
}

// Box object
box 
{ 
  <-4,0,-4>, <4,1,4>
  pigment
  {
    LightBlue
  }
  finish
  {
    ambient 0.2
    diffuse 0.7
    phong 1
    phong_size 80
    brilliance 2
  }
}
